> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a subscription

> Deletes the subscription and recycles the ICCID associated with it. The associated ICCID goes back into the customer inventory and will be picked up again automatically in the creation of a new subscription at some point in time in future.

**Note**: this operation will fail if the esim profile associated with the ICCID was ever downloaded by an end-user.



## OpenAPI

````yaml /openapi.yaml delete /v2/subscriptions/{xid}
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v2/subscriptions/{xid}:
    parameters:
      - schema:
          type: string
        name: xid
        in: path
        required: true
        description: esim ICCID or subscription id
    delete:
      tags:
        - SubscriptionV2
      summary: Delete a subscription
      description: >-
        Deletes the subscription and recycles the ICCID associated with it. The
        associated ICCID goes back into the customer inventory and will be
        picked up again automatically in the creation of a new subscription at
        some point in time in future.


        **Note**: this operation will fail if the esim profile associated with
        the ICCID was ever downloaded by an end-user.
      operationId: delete-v2-subscriptions-xid
      responses:
        '200':
          description: OK
        '403':
          description: >-
            Forbidden - if the esim profile associated with the ICCID was ever
            downloaded by an end-user.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````